## AgsFunction

AgsFunction — function to translate values

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FUNCTION_GET_OBJ_MUTEX()
void | ags_function_add_matrix ()
void | ags_function_remove_matrix ()
AgsFunction * | ags_function_new ()

## Properties

char * | normalized-function | Read / Write
gpointer | pivot-table | Read / Write
char * | source-function | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsFunction

## Includes

    #include <ags/lib/ags_function.h>

## Description

The AgsFunction translates values from linear math to a given function.

## Functions

### AGS_FUNCTION_GET_OBJ_MUTEX()

    #define AGS_FUNCTION_GET_OBJ_MUTEX(obj) (&(((AgsFunction *) obj)->obj_mutex))

### ags_function_add_matrix ()

    void
    ags_function_add_matrix (AgsFunction *function,
                             AgsSolverMatrix *solver_matrix);

Add `solver_matrix` to `function` .

#### Parameters

function | the AgsFunction |
solver_matrix | the AgsSolverMatrix |

Since: 3.2.0

### ags_function_remove_matrix ()

    void
    ags_function_remove_matrix (AgsFunction *function,
                                AgsSolverMatrix *solver_matrix);

Remove `solver_matrix` from `function` .

#### Parameters

function | the AgsFunction |
solver_matrix | the AgsSolverMatrix |

Since: 3.2.0

### ags_function_new ()

    AgsFunction *
    ags_function_new (gchar *source_function);

Instantiate a new AgsFunction.

#### Parameters

source_function | the source function |

#### Returns

the new instance

Since: 3.0.0

## Property Details

### The `“normalized-function”` property

      “normalized-function”      char *

The normalized function.

Owner: AgsFunction

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“pivot-table”` property

      “pivot-table”              gpointer

The pivot table.

Owner: AgsFunction

Flags: Read / Write

Since: 3.0.0

### The `“source-function”` property

      “source-function”          char *

The source function.

Owner: AgsFunction

Flags: Read / Write

Default value: NULL

Since: 3.0.0